/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.configuration.extender.internal;

import java.io.IOException;

import java.net.URL;

import java.util.Dictionary;
import java.util.Enumeration;

/**
 * @author Carlos Sierra Andrés
 */
public interface BundleStorage {

	public Enumeration<URL> findEntries(
		String root, String pattern, boolean recurse);

	public long getBundleId();

	public URL getEntry(String name);

	public Enumeration<String> getEntryPaths(String name);

	public Dictionary<String, String> getHeaders();

	public String getLocation();

	public URL getResource(String name);

	public Enumeration<URL> getResources(String name) throws IOException;

	public String getSymbolicName();

}