/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.configuration.extender.internal;

import com.liferay.portal.kernel.util.StringBundler;
import com.liferay.portal.kernel.util.Supplier;

import java.util.Dictionary;

/**
 * @author Carlos Sierra Andrés
 */
public final class SingleConfigurationDescription
	implements ConfigurationDescription {

	public SingleConfigurationDescription(
		String pid, Supplier<Dictionary<String, Object>> propertiesSupplier) {

		_pid = pid;
		_propertiesSupplier = propertiesSupplier;
	}

	@Override
	public String getFactoryPid() {
		return null;
	}

	@Override
	public String getPid() {
		return _pid;
	}

	@Override
	public Supplier<Dictionary<String, Object>> getPropertiesSupplier() {
		return _propertiesSupplier;
	}

	@Override
	public String toString() {
		StringBundler sb = new StringBundler(5);

		sb.append("{pid=");
		sb.append(_pid);
		sb.append(", propertiesSupplier=");
		sb.append(_propertiesSupplier);
		sb.append("}");

		return sb.toString();
	}

	private final String _pid;
	private final Supplier<Dictionary<String, Object>> _propertiesSupplier;

}